<div data-ng-controller="RegisterCtrl">
    <header class="panel-heading higher-panel-heading">
        Register
    </header>
    <div class="panel-body">
        <div class="col-md-6">
            <div ng-repeat="error in registerError track by $index">
                <div class="alert alert-danger animated fadeIn">{{error.msg}}</div>
            </div>
            <div class="alert alert-danger animated fadeIn" ng-show="usernameError">{{usernameError}}</div>
            <form ng-submit="register()" class="signup form-horizontal">
                <div class="form-group">
                    <label for="name" class="col-md-4 control-label">Full Name</label>
                    <div class="col-md-8">
                        <input id="name" type="text" name="name" placeholder="Full name" class="form-control" ng-model="user.name"/>
                    </div>
                    <label for="email" class="col-md-4 control-label">Email</label>
                    <div class="col-md-8">
                        <input id="email" type="email" name="email" placeholder="Email" class="form-control" ng-model="user.email"/>
                    </div>
                    <label for="password" class="col-md-4 control-label">Password</label>
                    <div class="col-md-8">
                        <input id="password" type="password" name="password" placeholder="Password" class="form-control" ng-model="user.password"/>
                    </div>
                    <label for="confirmPassword" class="col-md-4 control-label">Repeat Password</label>
                    <div class="col-md-8">
                        <input id="confirmPassword" type="password" name="confirmPassword" placeholder="Password" class="form-control" ng-model="user.confirmPassword"/>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-md-offset-4 col-md-8">
                        <button type="submit" class="btn btn-primary">Sign up</button>&nbsp;
                        or&nbsp;<a ui-sref='auth.login' class="show-login">login</a>
                    </div>
                </div>
            </form>
        </div>
        <div class="col-md-offset-1 col-md-5">
            <a href="/auth/facebook" class="btn btn-lg btn-block btn-facebook-inversed"><i class="fa fa-facebook"></i> Login with Facebook</a>
            <a href="/auth/linkedin" class="btn btn-lg btn-block btn-linkedin-inversed"><i class="fa fa-linkedin"></i> Login with LinkedIn</a>
            <a href="/auth/twitter" class="btn btn-lg btn-block btn-twitter-inversed"><i class="fa fa-twitter"></i> Login with Twitter</a>
            <a href="/auth/google" class="btn btn-lg btn-block btn-googleplus-inversed"><i class="fa fa-google-plus"></i> Login with Google+</a>
        </div>
    </div>
</div>
